All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services
Class SyntaxException

    com.sas.services.SyntaxException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

    public class SyntaxException

implements java.io.Serializable

Exception that is thrown when a validation method has determined that an invalid syntax. Note that this class extends `ChainedException` which provides the capability to wrap exceptions.

Since:
  1.1
See Also:
  Serialized Form

Constructor Summary
`SyntaxException()` Default constructor that uses a default exception message.
`SyntaxException(java.lang.String message)` Constructs an instance using the specified message to detail the cause of the exception.
`SyntaxException(java.lang.Throwable throwable, java.lang.String message)` Constructs an instance using the specified message and a throwable that prompted creation of this syntax exception.

Constructor Detail

### SyntaxException

    public SyntaxException()

  Default constructor that uses a default exception message.

### SyntaxException

    public SyntaxException(java.lang.String message)

  Constructs an instance using the specified message to detail the cause of the exception.

  Parameters:
    `message` - Message describing the syntax violation that is suitable for presentation to the user.

### SyntaxException

    public SyntaxException(java.lang.Throwable throwable,
                           java.lang.String message)

  Constructs an instance using the specified message and a throwable that prompted creation of this syntax exception.

  Parameters:
    `throwable` - Throwable that prompted the exception.
    `message` - Message describing the syntax violation that is suitable for presentation to the user.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.